import { useState } from "react";
import { FloatingDialog } from "../Generic/FloatingDialog";
import { Button } from "@mui/material";

export const Testing = () => {
  // states
  const [openState, setOpenState] = useState(false);
  const [maximisedState, setMaximisedState] = useState(false);

  // functions
  const close = () => setOpenState(false);

  return (
    <FloatingDialog
      body={<div>Test</div>}
      close={close}
      maximisedState={maximisedState}
      openButton={<Button onClick={() => setOpenState(true)}>open</Button>}
      openState={openState}
      setMaximisedState={setMaximisedState}
      title="Testing"
    />
  );
};
